extends Control

func _ready():
	$YarnRunner.say_func = funcref(self, "say")
	$YarnRunner.run_all()

func say(element):
	$RichTextLabel.text += str(element["raw"]) + "\n"

func exec(stri):
	var expr := Expression.new()
	print("input : " + stri)
	var err := expr.parse(stri)
	if err == OK:
		var res = expr.execute()
		print("res : " + str(res))
	else:
		print("err : " + str(err))

func jajoujaj():
	print("jaaaja")
	
var current_node = "Start"
var current_line = 0
